clang-tools 10.0.0

Classes | Public Member Functions | List of all members
clang::clangd::Transport Class Referenceabstract

`#include <Transport.h>`

## Classes
class | MessageHandler

## Public Member Functions
virtual | ~Transport ()=default
virtual void | notify (llvm::StringRef Method, llvm::json::Value Params)=0
virtual void | call (llvm::StringRef Method, llvm::json::Value Params, llvm::json::Value ID)=0
virtual void | reply (llvm::json::Value ID, llvm::Expected< llvm::json::Value > Result)=0
virtual llvm::Error | loop (MessageHandler &)=0

## Detailed Description

Definition at line 34 of file Transport.h.

## Constructor & Destructor Documentation

## ◆ ~Transport()

virtual clang::clangd::Transport::~Transport | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ call()

virtual void clang::clangd::Transport::call | ( | llvm::StringRef | Method,
|  | llvm::json::Value | Params,
|  | llvm::json::Value | ID
| ) |  |
| pure virtual

## ◆ loop()

virtual llvm::Error clang::clangd::Transport::loop | ( | MessageHandler & |  | ) |
| pure virtual

## ◆ notify()

virtual void clang::clangd::Transport::notify | ( | llvm::StringRef | Method,
|  | llvm::json::Value | Params
| ) |  |
| pure virtual

## ◆ reply()

virtual void clang::clangd::Transport::reply | ( | llvm::json::Value | ID,
|  | llvm::Expected< llvm::json::Value > | Result
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- Transport.h